Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class ContainerListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.event.ContainerListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, ContainerListener

Direct Known Subclasses:
  PanelListenerAdapter

    public class ContainerListenerAdapter

extends BoxComponentListenerAdapter
implements ContainerListener

Constructor Summary
`ContainerListenerAdapter()`

Method Summary
`boolean` | `doBeforeAdd(Container self, Component component, int index)` Fires before any Component is added or inserted into the container.
`boolean` | `doBeforeRemove(Container self, Component component)` Fires before any Component is removed from the container.
`void` | `onAdd(Container self, Component component, int index)` Fires after any Component is added or inserted into the container.
`void` | `onAfterLayout(Container self)` Fires when the components in this container are arranged by the associated layout manager.
`void` | `onRemove(Container self, Component component)` Fires after any Component is removed from the container.

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### ContainerListenerAdapter

    public ContainerListenerAdapter()

Method Detail

### onAdd

    public void onAdd(Container self,
                      Component component,
                      int index)

  Description copied from interface: `ContainerListener`
  Fires after any Component is added or inserted into the container.

  Specified by:
    `onAdd` in interface `ContainerListener`
  Parameters:
    `self` - self
    `component` - the component being added
    `index` - the index at which the component was added to the container's items collection

### onAfterLayout

    public void onAfterLayout(Container self)

  Description copied from interface: `ContainerListener`
  Fires when the components in this container are arranged by the associated layout manager.

  Specified by:
    `onAfterLayout` in interface `ContainerListener`
  Parameters:
    `self` - self

### doBeforeAdd

    public boolean doBeforeAdd(Container self,
                               Component component,
                               int index)

  Description copied from interface: `ContainerListener`
  Fires before any Component is added or inserted into the container. A handler can return false to cancel the add.

  Specified by:
    `doBeforeAdd` in interface `ContainerListener`
  Parameters:
    `self` - self
    `component` - the component being added
    `index` - the index at which the component was added to the container's items collection
  Returns:
    false to cancel

### doBeforeRemove

    public boolean doBeforeRemove(Container self,
                                  Component component)

  Description copied from interface: `ContainerListener`
  Fires before any Component is removed from the container. A handler can return false to cancel the remove.

  Specified by:
    `doBeforeRemove` in interface `ContainerListener`
  Parameters:
    `self` - self
    `component` - the container being removed
  Returns:
    false to cancel

### onRemove

    public void onRemove(Container self,
                         Component component)

  Description copied from interface: `ContainerListener`
  Fires after any Component is removed from the container.

  Specified by:
    `onRemove` in interface `ContainerListener`
  Parameters:
    `self` - self
    `component` - the container being removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD